Bug 1484320 - Tests fail on ppc64
Summary: Tests fail on ppc64
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cld2
Version: 27
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: c72578
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2017-08-23 09:02 UTC by c72578
Modified: 2018-11-30 17:53 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-30 17:53:50 UTC


Attachments (Terms of Use)

Description c72578 2017-08-23 09:02:00 UTC
...
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.MycRGr
+ umask 022
+ cd /builddir/build/BUILD
+ cd cld2-b56fa78a2fe44ac2851bae5bf4f4693a0644da7b
+ cd build
+ echo 'this is some english text'
+ ./compact_lang_det_test_chrome_2
ExtLanguage, 27/26 bytes of non-tag letters, Summary: Unknown*
  SummaryLanguage Unknown(un-reliable) at 0 of 26 82us (0 MB/sec), (null)
+ echo 'this is some english text'
+ ./compact_lang_det_test_chrome_16
ExtLanguage, 27/26 bytes of non-tag letters, Summary: Unknown*
  SummaryLanguage Unknown(un-reliable) at 0 of 26 55us (0 MB/sec), (null)
+ ./cld2_unittest_chrome_2
*** Bad UTF-8 after 40 bytes<br>
Checking that non-dynamic implementations of dynamic data methods are no-ops (ignore the warnings).
WARNING: Dynamic mode not active, loadDataFromFile has no effect!
WARNING: Dynamic mode not active, loadDataFromRawAddress has no effect!
WARNING: Dynamic mode not active, unloadData has no effect!
Done checking non-dynamic implementations of dynamic data methods, care about warnings again.
FAIL
+ :
+ ./cld2_unittest_avoid_chrome_2
*** Bad UTF-8 after 40 bytes<br>
Checking that non-dynamic implementations of dynamic data methods are no-ops (ignore the warnings).
WARNING: Dynamic mode not active, loadDataFromFile has no effect!
WARNING: Dynamic mode not active, loadDataFromRawAddress has no effect!
WARNING: Dynamic mode not active, unloadData has no effect!
Done checking non-dynamic implementations of dynamic data methods, care about warnings again.
FAIL
+ :
+ echo 'this is some english text'
+ ./compact_lang_det_test_full
ExtLanguage, 27/26 bytes of non-tag letters, Summary: Unknown*
  SummaryLanguage Unknown(un-reliable) at 0 of 26 120us (0 MB/sec), (null)
+ ./cld2_unittest_full
FAIL
+ :
+ ./cld2_unittest_full_avoid
FAIL
+ :
+ ./cld2_dynamic_data_tool --dump cld2_data.bin
System is big-endian: currently not supported.
+ :
+ ./cld2_dynamic_data_tool --verify cld2_data.bin
System is big-endian: currently not supported.
+ :
+ ./compact_lang_det_dynamic_test_chrome --data-file cld2_data.bin
+ echo 'this is some english text'
WARNING: Dynamic data loading failed.
Loading data from: cld2_data.bin
Data loaded, test commencing
ExtLanguage, 0/26 bytes of non-tag letters, Summary: Unknown*
  SummaryLanguage Unknown(un-reliable) at 0 of 26 1us (26 MB/sec), --data-file
+ ./cld2_dynamic_unittest --data-file cld2_data.bin
WARNING: Dynamic data loading failed.
[DYNAMIC] *** Error: CLD2::isDataLoaded() returned false after loading data from file!
*** Bad UTF-8 after 40 bytes<br>
/var/tmp/rpm-tmp.MycRGr: line 43: 12861 Segmentation fault      (core dumped) ./cld2_dynamic_unittest --data-file cld2_data.bin > /dev/null
+ :
...

Comment 1 Ben Cotton 2018-11-27 18:27:57 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 17:53:50 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.